Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.path
Class SimpleIterStep

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.expr.Expr
              org.basex.query.expr.Preds
                  org.basex.query.path.Step
                      org.basex.query.path.SimpleIterStep

    public final class SimpleIterStep

extends Step

Iterative step expression without predicates.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Nested Class Summary

Nested classes/interfaces inherited from class org.basex.query.expr.Expr
`Expr.Use`

Field Summary

Fields inherited from class org.basex.query.path.Step
`axis, test`

Fields inherited from class org.basex.query.expr.Preds
`pred`

Constructor Summary
`SimpleIterStep(Axis a, Test t)` Constructor.

Method Summary
`Expr` | `comp(QueryContext ctx)` Optimizes and compiles the expression.
`NodeIter` | `iter(QueryContext ctx)` Evaluates the expression and returns an iterator on the resulting items.

Methods inherited from class org.basex.query.path.Step
`get, plan, returned, sameAs, simple, toString`

Methods inherited from class org.basex.query.expr.Preds
`color, removable, remove, uses`

Methods inherited from class org.basex.query.expr.Expr
`addText, atomic, checkCtx, checkDbl, checkItr, duplicates, e, ebv, i, indexAccessible, indexEquivalent, size, test`

Methods inherited from class org.basex.query.ExprInfo
`info, name`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleIterStep

    public SimpleIterStep(Axis a,
                          Test t)

  Constructor.

  Parameters:
    `a` - axis
    `t` - node test

Method Detail

### comp

    public Expr comp(QueryContext ctx)
              throws QueryException

  Description copied from class: `Expr`
  Optimizes and compiles the expression.

  Overrides:
    `comp` in class `Step`
  Parameters:
    `ctx` - query context
  Returns:
    optimized Expression
  Throws:
    `QueryException` - query exception

### iter

    public NodeIter iter(QueryContext ctx)
                  throws QueryException

  Description copied from class: `Expr`
  Evaluates the expression and returns an iterator on the resulting items. If this method is not overwritten, `Expr.atomic(org.basex.query.QueryContext)` must be implemented.

  Overrides:
    `iter` in class `Step`
  Parameters:
    `ctx` - query context
  Returns:
    resulting item
  Throws:
    `QueryException` - query exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD